Name:       qt-components-qt5

Summary:    Qt Quick UX Components
Version:    2.0.15+fedora.20170227225228.3.g57247d4
Release:    5%{?dist}.3
Group:      System/Libraries
License:    BSD
URL:        https://github.com/nemomobile/qt-components
Source0:    %{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(mlite5)
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes

%description
The Harmattan Qt Quick UX Components

%package devel
Summary:    Qt UX Components Devel
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package is part of Harmattan Qt Quick UX Components,
it contains the development files


%package gallery
Summary:    Qt Components gallery
Group:      Development/Applications
Requires:   %{name} = %{version}-%{release}

%description gallery
Provides test applications showcasing Qt Components widgets.


%prep
%setup -q -n %{name}-%{version}

%build
export QT_SELECT=5
export PATH="%{_qt5_bindir}:$PATH"
./configure -meego -nomake tests
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
export PATH="%{_qt5_bindir}:$PATH"
%make_install INSTALL_ROOT=%{buildroot}
%fdupes  %{buildroot}/%{_libdir}

%files
%defattr(-,root,root,-)
%{_libdir}/qt5/qml/Qt/labs/*
%{_libdir}/qt5/qml/com/meego/*
%{_libdir}/qt5/qml/com/nokia/*

%files devel
%defattr(-,root,root,-)
%{?_qt5_archdatadir}%{!?_qt5_archdatadir:%{_datadir}/qt5}/mkspecs/*

%files gallery
%defattr(-,root,root,-)
%{_bindir}/QmlComponentGallery5
%{_datadir}/applications/qmlcomponentgallery.desktop
%changelog
* Thu Jun  4 2015 Thomas Perl <m@thp.io> - 2.0.15
- [glacierui] change icon for nemo-theme-glacier
- [page] Allow inverted portrait and landscape in auto mode (Fixes JB#29590)
- [qt5.2] Removed a non-functional assignment
- [spec] Remove spectacle cruft, cleanup .spec file
* Thu Jun 19 2014 Gunnar Sletta <gunnar.sletta@jollamobile.com> - 2.0.12
- [qt-components] Fix OBS compilation
* Thu Dec 19 2013 Vesa Halttunen <vesa.halttunen@jollamobile.com> - 2.0.11
- [orientation] Report the current content orientation correctly
* Mon Dec  9 2013 Simonas Leleiva <simonas.leleiva@gmail.com> - 2.0.10
- [qmlcomponentgallery] add icon to .desktop and cleanup
* Tue Oct 22 2013 Simonas Leleiva <simonas.leleiva@gmail.com> - 2.0.9
- [localthemedaemonclient] fix SVG prioritisation over inheritance
* Tue Oct 15 2013 Simonas Leleiva <simonas.leleiva@gmail.com> - 2.0.8
- [packaging] do not depend on ux packages
* Mon Oct 14 2013 Simonas Leleiva <simonas.leleiva@gmail.com> - 2.0.7
- [qt-components] Add Open Sans fonts
* Thu Oct 10 2013 Benjamin Zeller <zeller.benjamin@web.de> - 2.0.6
- [orientation] Connect to QScreen for orientation change updates
* Mon Aug 19 2013 Robin Burchell <viroteck@viroteck.net> - 2.0.5
- [localthemedaemonclient] theme inheritance
* Mon Jul 29 2013 Matt Vogt <matthew.vogt@jollamobile.com> - 2.0.4
- [qt-components] Do not attempt to open empty image path
* Fri Jun 14 2013 Robin Burchell <robin+git@viroteck.net> - 2.0.3
- [qt-components] Remove FeedbackPlayer.
* Sun Jun  9 2013 John Brooks <john.brooks@dereferenced.net> - 2.0.2
- [qt-components] Expose a gconf key for framebuffer orientation in MDeclarativeScreen
- [qt-components] Expose a gconf key for framebuffer orientation in MDeclativeScreen
* Tue May 21 2013 Robin Burchell <robin+git@viroteck.net> - 2.0.1
- [qt-components] Merge extras import into the main import.
- [qt-components] Remove dependency on private API.
- [qt-components] Remove more Symbian relics
* Tue May 21 2013 Robin Burchell <robin+git@viroteck.net> - 2.0.0
- [qt-components] Fix component gallery
- [qt-components] Fixes to component gallery
- [qt-components] Fix QDesktopWidget usage.
- [qt-components] Fix some dependencies for clean build.
- [qt-components] Fixup.
- [qt-components] Fix up Qt 5 install paths.
- [qt-components] Packaging for Qt 5
- [qt-components] Remove dependencies on QtWidgets
- [qt-components] Remove Symbian from repository.
- [qt-components] Remove tutorial, and remove QtWidgets use.
- [qt-components] Reorganise qmldir to avoid merge conflicts with qtquick2 branch.
- [qt-components] Updates to building on Qt 5.
* Tue Apr  9 2013 Robin Burchell <robin+git@viroteck.net> - 1.4.10
- [qt-components] Always size to full screen.
- [qt-components] Convert to git packaging.
* Tue Oct 25 2011 Joonas Reynders <joonas.reynders@iki.fi> - 1.2git20111025-1
- [Symbian] Document about orientation fix and implications
- [Symbian] Fix PageStackWindow warnings
- [Symbian] Minor changes to gallery.
* Thu Oct 20 2011 Joonas Reynders <joonas.reynders@iki.fi> - 1.2git20111020-1
- [Symbian] Fix build on Qt 4.8
- [Symbian] Fix null pointer crash on shared statusbar.
* Fri Sep 30 2011 Torsten Rahn <Torsten.Rahn@basyskom.de> - 1.2git20110928-1
- [Symbian] Add documentation about ApplicationWindow::softwareInputPanelEnabled
- [Symbian] Change default alignment for ListHeading to right.
- [Symbian] Fix ApplicationWindow SIP state machine
- [Symbian] Fix def files
- [Symbian] Fix RTL text selection handle position.
- [Symbian] Hardcore borderSizeMedium fallback value
- [Symbian] ListItem submenu indicator is not using disabled graphics.
- [Symbian] Minor refactoring to ListView component test
- [Symbian] Move SIP item under ToolBar on ApplicationWindow.
- [Symbian] ProgressBar value changes to 100 %% in orientation change.
- [Symbian] Remove autoMove property.
- [Symbian] Set autoMove always off.
- [Symbian] Small changes to TextArea manual test.
- [Symbian] TabButton does not allow SVG icons.
- [Symbian] TextSelectionHandle border image rely upon resolution specific value.
- [Symbian] Text selection problem with hw keys in TextField.
- [Symbian] Use deselect.
* Fri Aug 19 2011 Joonas Reynders <joonas.reynders@iki.fi> - 1.1git20110819-1
- [Common] Docs/snippets: import QtQuick 1.0 -> import QtQuick 1.1
- [Symbian] Auto tests: import QtQuick 1.0 -> import QtQuick 1.1.
- [Symbian] Docs/snippets: import QtQuick 1.0 -> import QtQuick 1.1.
* Mon Aug 15 2011 Joonas Reynders <joonas.reynders@iki.fi> - 1.1git20110815-1
- [Symbian] Add autoMove property to inputContext
- [Symbian] Add software input panel to ApplicationWindow
- [Symbian] Aligned componenttest test with ApplicationWindow
- [Symbian] Fix typo in class name.
- [Symbian] InputContext docs and splitscreen software input panel layout guide
- [Symbian] Remove unused snippet
- [Symbian] Software input panel's height also read from RProperty.
* Thu Aug  4 2011 Joonas Reynders <joonas.reynders@iki.fi> - 1.1git20110804-1
- [Symbian] Fix componentest TextArea anchoring.
